---
updatedAt: 2026-06-03T14:46:37.000Z
agentTools:
  projectIndex: https://developers.fieldwire.com/llms.txt
---

# Get all project_template_statuses in account

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Fieldwire Regional API",
    "version": "v3"
  },
  "servers": [
    {
      "url": "https://client-api.{region}.fieldwire.com",
      "variables": {
        "region": {
          "default": "us",
          "enum": [
            "ca",
            "eu",
            "us"
          ]
        }
      }
    }
  ],
  "components": {
    "headers": {
      "count": {
        "description": "Pagination header: number of entities in responses",
        "schema": {
          "type": "integer"
        }
      },
      "current_user_id": {
        "description": "Current user's id",
        "schema": {
          "type": "integer"
        }
      },
      "has_more": {
        "description": "True if there are more pages of results, false otherwise",
        "schema": {
          "type": "boolean"
        }
      },
      "last_synced_at": {
        "description": "To be used as input for `last_synced_at` query parameter to get the next page of results",
        "schema": {
          "type": "string",
          "format": "date-time"
        }
      }
    },
    "parameters": {
      "api_version": {
        "name": "Fieldwire-Version",
        "in": "header",
        "description": "Specifies the version of the API to talk to",
        "required": true,
        "schema": {
          "type": "string",
          "format": "date"
        }
      },
      "entities_filter": {
        "name": "Fieldwire-Filter",
        "in": "header",
        "description": "Specifies if request should include active, deleted or all (default) entities",
        "required": false,
        "schema": {
          "type": "string",
          "enum": [
            "active",
            "deleted"
          ]
        }
      },
      "entities_per_page": {
        "name": "Fieldwire-Per-Page",
        "in": "header",
        "description": "Specifies the number of entities to include in the request",
        "required": false,
        "schema": {
          "type": "integer",
          "maximum": 1000
        }
      },
      "last_synced_at": {
        "name": "last_synced_at",
        "in": "query",
        "description": "Timestamp since when further updates should be included",
        "required": false,
        "schema": {
          "type": "string",
          "format": "date-time"
        }
      }
    },
    "schemas": {
      "project_template_status": {
        "type": "object",
        "description": "Entity representing template to create project from",
        "required": [
          "id",
          "account_id",
          "project_template_id",
          "name",
          "ordinal",
          "color",
          "kind",
          "required_role",
          "is_default",
          "created_at",
          "updated_at",
          "device_created_at",
          "device_updated_at",
          "creator_user_id",
          "last_editor_user_id",
          "resolved_conflict"
        ],
        "nullable": false,
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the entity"
          },
          "account_id": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "ID of the user account"
          },
          "project_template_id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the project template this entity belongs to"
          },
          "name": {
            "type": "string",
            "nullable": false,
            "description": "Name of the entity"
          },
          "ordinal": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "Specifies the ordering among siblings"
          },
          "color": {
            "type": "string",
            "enum": [
              "#FD504E",
              "#C91112",
              "#FA8B34",
              "#FCD44A",
              "#45DE67",
              "#12A258",
              "#82D8FF",
              "#306BDB",
              "#F84EF8",
              "#282828",
              "#FEA7A6",
              "#E48888",
              "#FDC599",
              "#FDE9A4",
              "#A2EFB3",
              "#88D1AB",
              "#C1EBFF",
              "#97B5ED",
              "#FBA6FB",
              "#A66826"
            ],
            "nullable": false,
            "description": "Color to color the entity in this status"
          },
          "kind": {
            "type": "string",
            "enum": [
              "open",
              "tracked",
              "verified"
            ],
            "nullable": false,
            "description": "Kind of the entity"
          },
          "required_role": {
            "type": "string",
            "enum": [
              "follower",
              "member",
              "admin"
            ],
            "nullable": false,
            "description": "Role required to move in & out of this status"
          },
          "is_default": {
            "type": "boolean",
            "nullable": false,
            "description": "Whether this is the default status for tasks in a project"
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the server created the entity"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the server last updated the entity"
          },
          "device_created_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the device created the entity"
          },
          "device_updated_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the device last updated the entity"
          },
          "creator_user_id": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "ID of the user who created this entity"
          },
          "last_editor_user_id": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "ID of the user who most recently edited this entity"
          },
          "deleted_at": {
            "type": "string",
            "format": "date-time",
            "nullable": true,
            "description": "Time the server deleted the entity"
          },
          "resolved_conflict": {
            "type": "boolean",
            "nullable": false,
            "description": "Specifies if PUT/PATCH request was rejected - do not store this field!"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwt": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "Access token (JWT) generated using the acquired refresh token (API token). Our [authentication](https://developers.fieldwire.com/docs/authentication) guide covers the steps to generate a valid token"
      }
    }
  },
  "paths": {
    "/api/v3/account/project_template_statuses": {
      "get": {
        "summary": "Get all project_template_statuses in account",
        "operationId": "get_project_template_statuses_in_account",
        "tags": [
          "project template statuses"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/api_version"
          },
          {
            "$ref": "#/components/parameters/entities_filter"
          },
          {
            "$ref": "#/components/parameters/entities_per_page"
          },
          {
            "$ref": "#/components/parameters/last_synced_at"
          }
        ],
        "security": [
          {
            "jwt": []
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "headers": {
              "X-Current-User-Id": {
                "$ref": "#/components/headers/current_user_id"
              },
              "X-Count": {
                "$ref": "#/components/headers/count"
              },
              "X-Last-Synced-At": {
                "$ref": "#/components/headers/last_synced_at"
              },
              "X-Has-More": {
                "$ref": "#/components/headers/has_more"
              }
            },
            "content": {
              "application/json": {
                "example": [
                  {
                    "id": "a33208b8-47f9-4be4-bd70-2b619fd35c0a",
                    "creator_user_id": 1648,
                    "last_editor_user_id": 1648,
                    "resolved_conflict": false,
                    "created_at": "2026-10-01T00:00:00.000Z",
                    "updated_at": "2026-10-01T00:00:00.000Z",
                    "device_created_at": "2026-10-01T00:00:00.000Z",
                    "device_updated_at": "2026-10-01T00:00:00.000Z",
                    "deleted_at": null,
                    "account_id": 1386,
                    "project_template_id": "074346c0-f424-425a-ab1b-bf238c5aa717",
                    "name": "status 4",
                    "ordinal": 4,
                    "kind": "open",
                    "required_role": "follower",
                    "is_default": false,
                    "color": "#FA8B34"
                  },
                  {
                    "id": "bc8fc7a9-aef4-4d94-ad7f-586c577467f5",
                    "creator_user_id": 1646,
                    "last_editor_user_id": 1646,
                    "resolved_conflict": false,
                    "created_at": "2026-10-02T14:51:40.142Z",
                    "updated_at": "2026-10-02T14:51:40.142Z",
                    "device_created_at": "2026-10-02T14:51:40.142Z",
                    "device_updated_at": "2026-10-02T14:51:40.142Z",
                    "deleted_at": null,
                    "account_id": 1386,
                    "project_template_id": "d1c59f0e-dc62-4243-aedd-5395d550e6d1",
                    "name": "status 3",
                    "ordinal": 3,
                    "kind": "open",
                    "required_role": "follower",
                    "is_default": false,
                    "color": "#FA8B34"
                  }
                ],
                "schema": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/project_template_status"
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```